Get a Customer
GET
/customers/{id}?idtype
Get customer status and details. If the customer is not registered, a 404 Not Found is returned. idType kan be 0 = UserIdentifier, 1 = CustomerNumber.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Location
string
Example
http://pay.caspeco.net/v1/customers/46731231231Host
string
E.g. pay.caspeco.net
Example
pay.caspeco.netDate
string
E.g. Tue, 15 Nov 2014 08:12:31 GMT
Example
Tue, 15 Nov 2014 08:12:31 GMTDigest
string
E.g. SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=
Example
SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=Request Body
Section titled “Request Body”Media typeapplication/json
object
Id
string
Example
{ "Id": "46731231231"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Id
string
Firstname
string
Lastname
string
Email
string
Msisdn
string
PersonalIdentityNumber
string
MaskedCardNumber
string
StreetAddress
string
PostalCode
string
City
string
PreferredPaymentMethod
string
IsLockedOut
string
Examples
Exampleresponse
{ "Id": "46731231231", "Firstname": "Anni", "Lastname": "Bergh", "Email": "anni.bergh@spamherelots.com", "Msisdn": "46731231231", "PersonalIdentityNumber": "881125-1084", "MaskedCardNumber": "49188900****3750", "StreetAddress": "Gatan 9", "PostalCode": "123 45", "City": "Staden", "PreferredPaymentMethod": "card", "IsLockedOut": "false"}